commit 4fae3c22407e283bdd486fb5d97bf6174b805e6e
Author: jklowden <jklowden>
Date:   Sat Dec 20 06:01:26 2008 +0000

    sort header files for readability

diff --git a/configure.ac b/configure.ac
index 1e37fdf..f49be71 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.37 2008/05/28 13:44:19 jklowden Exp $
+dnl $Id: configure.ac,v 1.38 2008/12/20 06:01:26 jklowden Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.37 $)
+AC_REVISION($Revision: 1.38 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -238,12 +238,32 @@ AC_STRUCT_TIMEZONE
 AC_CHECK_MEMBERS([struct tm.__tm_zone],,,[#include <sys/types.h>
 #include <$ac_cv_struct_tm>
 ])
-AC_CHECK_HEADERS([unistd.h errno.h wchar.h sys/time.h sys/types.h \
-sys/param.h sys/stat.h sys/wait.h limits.h locale.h odbcss.h readpassphrase.h \
-signal.h libgen.h poll.h getopt.h])
+AC_CHECK_HEADERS([	errno.h \
+			getopt.h \
+			libgen.h \
+			limits.h \
+			locale.h \
+			odbcss.h \
+			poll.h \
+			readpassphrase.h \
+			signal.h \
+			sys/param.h \
+			sys/select.h \
+			sys/stat.h \
+			sys/time.h \
+			sys/types.h \
+			sys/wait.h \
+			unistd.h \
+			wchar.h ])
 if test $tds_mingw = no; then
-	AC_CHECK_HEADERS([sys/socket.h arpa/inet.h netdb.h netinet/in.h \
-netinet/tcp.h paths.h sys/ioctl.h langinfo.h])
+    AC_CHECK_HEADERS([	arpa/inet.h \
+			langinfo.h \
+			netdb.h \
+			netinet/in.h \
+			netinet/tcp.h \
+			paths.h \
+			sys/ioctl.h \
+			sys/socket.h ])
 fi
 AC_HAVE_INADDR_NONE
 
diff --git a/include/Makefile.am b/include/Makefile.am
index e28fa70..2924983 100644
--- a/include/Makefile.am
+++ b/include/Makefile.am
@@ -1,26 +1,28 @@
-AUTOMAKE_OPTIONS	=	1.5.3
+AUTOMAKE_OPTIONS =	1.5.3
 
-include_HEADERS	=	bkpublic.h cspublic.h cstypes.h ctpublic.h \
+include_HEADERS	=	bkpublic.h \
+			cspublic.h cstypes.h ctpublic.h \
 			sqldb.h sqlfront.h \
 			sybdb.h sybfront.h \
 			syberror.h odbcss.h
 
-nodist_include_HEADERS	=	tds_sysdep_public.h
+nodist_include_HEADERS	= tds_sysdep_public.h
 
-noinst_HEADERS	=	tds_configs.h \
-			tds_sysdep_private.h \
+noinst_HEADERS	=	ctlib.h \
+			dblib.h \
 			md4.h md5.h des.h hmac_md5.h \
 			replacements.h \
-			tdsstring.h \
-			tdsodbc.h \
-			tdsiconv.h \
-			dblib.h \
-			ctlib.h \
-			tdsthread.h \
-			tdsbytes.h \
 			replacements/readpassphrase.h \
 			tds.h tdsver.h tdsconvert.h \
-			tdssrv.h
+			tds_sysdep_private.h \
+			tdsbytes.h \
+			tdsiconv.h \
+			tdsodbc.h \
+			tdssrv.h \
+			tdsstring.h \
+			tdsthread.h \
+			tds_configs.h
+
 
 DISTCLEANFILES	=	tds_sysdep_public.h freetds_sysconfdir.h
 

